Summary:	MinGW32 Binary Utility Development Utilities - runtime libraries
Summary(pl.UTF-8):	Zestaw narzędzi MinGW32 - biblioteki uruchomieniowe
Name:		crossmingw32-runtime
Version:	3.20.2
%define runver	3.20-2
%define	runsrc	mingwrt-%{runver}-mingw32
Release:	1
Epoch:		1
License:	Free
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/mingw/%{runsrc}-src.tar.lzma
# Source0-md5:	428174262d9b9c201a2180490d629b8a
Patch0:		%{name}-stdinc.patch
URL:		http://www.mingw.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-binutils
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
BuildRequires:	dos2unix
Requires:	crossmingw32-binutils >= 2.15.91.0.2-2
Requires:	crossmingw32-w32api >= 3.1
Obsoletes:	crossmingw32-platform
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32
%define		_prefix			/usr/%{target}
%define		_libdir			%{_prefix}/lib

# strip fails on static COFF files
%define		no_install_post_strip 1

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the MinGW32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains MinGW32 runtime includes and libraries.

%description -l pl.UTF-8
crossmingw32 jest kompletnym systemem do kompilacji skrośnej,
pozwalającym budować aplikacje MS Windows pod Linuksem używając
bibliotek MinGW32. System składa się z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujące kod dla platformy i386-mingw32, oraz
z bibliotek w formacie COFF.

Ten pakiet zawiera pliki nagłówkowe i biblioteki uruchomieniowe
MinGW32.

%prep
%setup -q -n %{runsrc}
dos2unix Makefile.in configure.in mkinstalldirs */Makefile.in
%patch0 -p1 

%build
cp /usr/share/automake/config.sub .
%{__autoconf}
./configure \
	--prefix=%{_prefix} \
	--host=%{target} \
	--build=%{_target_platform}
%{__make} -C mingwex
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# makefile expects dir before creating it
install -d $RPM_BUILD_ROOT%{_prefix}/bin
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix}

%if %{!?debug:1}0
%{target}-strip $RPM_BUILD_ROOT%{_bindir}/*.dll
%{target}-strip -g $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS ChangeLog DISCLAIMER README TODO readme.txt
%{_bindir}/mingwm10.dll
%{_includedir}/*.h
%{_includedir}/sys
%{_libdir}/CRT_*.o
%{_libdir}/binmode.o
%{_libdir}/crt*.o
%{_libdir}/dllcrt*.o
%{_libdir}/gcrt*.o
%{_libdir}/txtmode.o
%{_libdir}/libcoldname.a
%{_libdir}/libcrtdll.a
%{_libdir}/libgmon.a
%{_libdir}/libm.a
%{_libdir}/libmingw*.a
%{_libdir}/libmoldname*.a
%{_libdir}/libmsvcr*.a
%changelog
* Thu Aug 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-runtime.git;a=log;h=master

* Thu Aug 01 2013 Łukasz Krotowski <lkrotowski@pld-linux.org> e79d2f9
- updated to 3.20.2

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 6d3ab3e
- updated to 3.20

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 7cfc646
- unified MinGW32 caps

* Thu Mar 18 2010 Jakub Bogusz <qboosh@pld-linux.org> c0dc01e
- updated to 3.18

* Thu Jan 21 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> 02956c9
- up to 3.16

* Mon Oct 01 2007 Łukasz Krotowski <lkrotowski@pld-linux.org> cbddd39
- up to 3.13

* Tue Apr 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 0f4ddac
- updated to 3.12
- updated configure patch

* Tue Apr 03 2007 Jakub Bogusz <qboosh@pld-linux.org> e07372a
- updated for 3.12 (obsolete hunk, AC_PROG_CC used)

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> 34632c0
- updated to 3.11, updated patches

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> 721e2c6
- updated for 3.11

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 431cd55
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 93ef0e0
- converted to UTF-8

* Tue Aug 01 2006 Paweł Sikora <pluto@pld-linux.org> 9d5a154
- updated to 3.10.

* Tue Aug 01 2006 Paweł Sikora <pluto@pld-linux.org> 93cbc39
- updated for 3.10.

* Mon Oct 31 2005 Jakub Bogusz <qboosh@pld-linux.org> 1213f0a
- updated to 3.9

* Sun Aug 14 2005 Jakub Bogusz <qboosh@pld-linux.org> 51daa2d
- updated to 3.8

* Sun Jan 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 633aecd
- updated to 3.7

* Wed Nov 10 2004 paladine <paladine@pld-linux.org> 509ceed
- cosmetics

* Wed Sep 22 2004 Jarosław Kruk <jareq@pld-linux.org> cbf4bf2
- updated to 3.5
- updated to w32api 3.5
- rel 1

* Wed Sep 22 2004 Jarosław Kruk <jareq@pld-linux.org> b06e42c
- updated to 3.5

